:root{
  --flotarX: -1;
}

h1{
  animation: bounce 1s infinite;
}

body {
  margin: 80px;
  font-family: Pixelify Sans;
  background-image: url("img/Fondo normal.jpg");
  background-size: cover;
  color: white;
  text-align: center;
  user-select: none;
  transition: background 1s ease;
}

#guardian{
  transform: scaleX(var(--flotarX));
  width: 40%;
  height: 40%;
  position: relative;
  top: 7px;
  left: 30%;
  animation: flotar 3s ease-in-out infinite;
  filter: drop-shadow(0 0 10px #27D3E0);
}

@keyframes flotar{
  0%{
    transform: scaleX(var(--flotarX)) translateY(0px);
  }
  50%{
    transform: scaleX(var(--flotarX)) translateY(-10px);
  }
  100%{
    transform: scaleX(var(--flotarX)) translateY(0px);
  }
}

#btn-inicio{
  color: white;
  font-size: 20px;
  font-family: Pixelify Sans;
  margin: 90px;
  border-radius: 45px;
  height: 60px;
  width: 185px;
  cursor: pointer;
  transition: all 0.2s ease;
  background-color: #94d2;
}  
#btn-inicio:hover{
  transform: scale(1.03)
}
#btn-inicio:active{
  transform: scale(0.95);
}

#tarjeta-dialogo{
  font-size: 25px;
  color: white;
  text-align: justify;
  background-color: rgba(187, 187, 187, 0.5);
  border: 4px solid lightblue;
  border-radius: 10px;
  position: fixed;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  min-width: 50px;
  max-width: 600px;
  max-height:100%;
}

#conversacion{
  margin: 2px;
  word-wrap: break-word;
  overflow-wrap: break-word;
  display: block;
  max-width: 50ch;
  white-space: pre-line;
}

#continuar{
  margin-top: 0px;
  margin-bottom: 7px;
  margin-right: 0px;
  margin-left: 19px;
  position: relative;
  top: 7px;
  left: 87%;
  display: inline-block;
  color: #0b2d4a;
  animation: bounce 0.5s infinite;
}

#tarjeta-preguntas{
  font-size: 25px;
  color: white;
  text-align: justify;
  background-color: rgba(187, 187, 187, 0.5);
  border: 4px solid lightblue;
  border-radius: 10px;
  position: absolute;
  right: 10%;
  left: 10%;
  top: 5%;
  opacity: 1;
  transition: opacity 0.4s ease;
}

#respuestas{
  position: absolute;
  right: 10%;
  left: 10%;
  top: 30%;
  width: 30%;
}
.btn-respuestas{
  color: white;
  font-size: 20px;
  font-family: Pixelify Sans;
  border-radius: 45px;
  margin: 10px;
  min-height: 65px;
  max-height: 250px;
  width: 300px;
  transition: all 0.2s ease;
  background: linear-gradient(
    #0A1E5E,
    #1142C2,
    #2E6BFF
  );
}
.btn-respuestas:hover{
  transform: scale(1.03)
}

.btn-respuestas:active{
  transform: scale(0.95);
}

#sig{
  color: white;
  font-size: 20px;
  font-family: Pixelify Sans;
  margin: 90px;
  border-radius: 45px;
  height: 60px;
  width: 185px;
  cursor: pointer;
  transition: all 0.2s ease;
  background-color: #94d2;
  
  position: absolute;
  right: 35%;
  top: 37%;
  
}
#sig:hover{
  transform: scale(1.03)
}
#sig:active{
  transform: scale(0.95);
}

#reiniciar{
  color: white;
  font-size: 20px;
  font-family: Pixelify Sans;
  margin: 90px;
  border-radius: 45px;
  height: 60px;
  width: 185px;
  cursor: pointer;
  transition: all 0.2s ease;
  background-color: #94d2;
  bottom: 50px;
  position: absolute;
  right: 32%;
  top: 60%;
}

#reiniciar:hover{
  transform: scale(1.03)
}

#reiniciar:active{
  transform: scale(0.95);
  bottom: 70px;
}

#final{
  position: relative;
  bottom: 75px;
}

#finalText{
  position: absolute;
  left: 50%;
  transform: translateX(-50%);

  font-weight: bold;
  max-width: 600px;
  text-align: center;
  font-size: 24px;
  bottom: 150px;
  -webkit-text-stroke: 0.5px black;
}

#resultados{
  position: absolute;
  bottom: 250px;
  left: 50%;
  transform: translateX(-50%);

  font-size: 30px;
  font-weight: bold;
}

@keyframes bounce {
  0%   { transform: translateY(0); }
  50%  { transform: translateY(2px); }
  100% { transform: translateY(0); }
}